Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.util
Class DOMUtil

    java.lang.Object
      weblogic.apache.xerces.util.DOMUtil

Deprecated. please use JDK supplied XML parsers and transformers

public class DOMUtil
extends Object

Some useful utility methods. This class was modified in Xerces2 with a view to abstracting as much as possible away from the representation of the underlying parsed structure (i.e., the DOM). This was done so that, if Xerces ever adopts an in-memory representation more efficient than the DOM (such as a DTM), we should easily be able to convert our schema parsing to utilize it.

Constructor Summary
`protected` | `DOMUtil()` Deprecated. This class cannot be instantiated.

Method Summary
`static void` | `copyInto(Node src, Node dest)` Deprecated. Copies the source tree into the specified place in a destination tree.
`static Attr` | `getAttr(Element elem, String name)` Deprecated.
`static Attr` | `getAttrNS(Element elem, String nsUri, String localName)` Deprecated.
`static Attr[]` | `getAttrs(Element elem)` Deprecated.
`static String` | `getAttrValue(Element elem, String name)` Deprecated.
`static String` | `getAttrValueNS(Element elem, String nsUri, String localName)` Deprecated.
`static String` | `getChildText(Node node)` Deprecated. Returns the concatenated child text of the specified node.
`static Document` | `getDocument(Node node)` Deprecated.
`static Element` | `getFirstChildElement(Node parent)` Deprecated. Finds and returns the first child element node.
`static Element` | `getFirstChildElement(Node parent, String elemName)` Deprecated. Finds and returns the first child node with the given name.
`static Element` | `getFirstChildElement(Node parent, String[] elemNames)` Deprecated. Finds and returns the first child node with the given name.
`static Element` | `getFirstChildElement(Node parent, String elemName, String attrName, String attrValue)` Deprecated. Finds and returns the first child node with the given name and attribute name, value pair.
`static Element` | `getFirstChildElementNS(Node parent, String[][] elemNames)` Deprecated. Finds and returns the first child node with the given qualified name.
`static Element` | `getFirstChildElementNS(Node parent, String uri, String localpart)` Deprecated. Finds and returns the first child node with the given qualified name.
`static Element` | `getFirstVisibleChildElement(Node parent)` Deprecated. Finds and returns the first visible child element node.
`static Element` | `getLastChildElement(Node parent)` Deprecated. Finds and returns the last child element node.
`static Element` | `getLastChildElement(Node parent, String elemName)` Deprecated. Finds and returns the last child node with the given name.
`static Element` | `getLastChildElement(Node parent, String[] elemNames)` Deprecated. Finds and returns the last child node with the given name.
`static Element` | `getLastChildElement(Node parent, String elemName, String attrName, String attrValue)` Deprecated. Finds and returns the last child node with the given name and attribute name, value pair.
`static Element` | `getLastChildElementNS(Node parent, String[][] elemNames)` Deprecated. Finds and returns the last child node with the given qualified name.
`static Element` | `getLastChildElementNS(Node parent, String uri, String localpart)` Deprecated. Finds and returns the last child node with the given qualified name.
`static Element` | `getLastVisibleChildElement(Node parent)` Deprecated. Finds and returns the last visible child element node.
`static String` | `getLocalName(Node node)` Deprecated. returns local name of this element if not null, otherwise returns the name of the node
`static String` | `getName(Node node)` Deprecated.
`static String` | `getNamespaceURI(Node node)` Deprecated.
`static Element` | `getNextSiblingElement(Node node)` Deprecated. Finds and returns the next sibling element node.
`static Element` | `getNextSiblingElement(Node node, String elemName)` Deprecated. Finds and returns the next sibling node with the given name.
`static Element` | `getNextSiblingElement(Node node, String[] elemNames)` Deprecated. Finds and returns the next sibling node with the given name.
`static Element` | `getNextSiblingElement(Node node, String elemName, String attrName, String attrValue)` Deprecated. Finds and returns the next sibling node with the given name and attribute name, value pair.
`static Element` | `getNextSiblingElementNS(Node node, String[][] elemNames)` Deprecated. Finds and returns the next sibling node with the given qualified name.
`static Element` | `getNextSiblingElementNS(Node node, String uri, String localpart)` Deprecated. Finds and returns the next sibling node with the given qualified name.
`static Element` | `getNextVisibleSiblingElement(Node node)` Deprecated.
`static Element` | `getParent(Element elem)` Deprecated.
`static Element` | `getRoot(Document doc)` Deprecated.
`static String` | `getValue(Attr attribute)` Deprecated.
`static boolean` | `isHidden(Node node)` Deprecated.
`static void` | `setHidden(Node node)` Deprecated.
`static void` | `setVisible(Node node)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMUtil

    protected DOMUtil()

  Deprecated.
  This class cannot be instantiated.

Method Detail

### copyInto

    public static void copyInto(Node src,
                                Node dest)
                         throws DOMException

  Deprecated.
  Copies the source tree into the specified place in a destination tree. The source node and its children are appended as children of the destination node.

  Note: This is an iterative implementation.

  Throws:
    `DOMException`

### getAttr

    public static Attr getAttr(Element elem,
                               String name)

  Deprecated.

### getAttrNS

    public static Attr getAttrNS(Element elem,
                                 String nsUri,
                                 String localName)

  Deprecated.

### getAttrs

    public static Attr[] getAttrs(Element elem)

  Deprecated.

### getAttrValue

    public static String getAttrValue(Element elem,
                                      String name)

  Deprecated.

### getAttrValueNS

    public static String getAttrValueNS(Element elem,
                                        String nsUri,
                                        String localName)

  Deprecated.

### getChildText

    public static String getChildText(Node node)

  Deprecated.
  Returns the concatenated child text of the specified node. This method only looks at the immediate children of type `Node.TEXT_NODE` or the children of any child node that is of type `Node.CDATA_SECTION_NODE` for the concatenation.

  Parameters:
    `node` - The node to look at.

### getDocument

    public static Document getDocument(Node node)

  Deprecated.

### getFirstChildElement

    public static Element getFirstChildElement(Node parent)

  Deprecated.
  Finds and returns the first child element node.

### getFirstChildElement

    public static Element getFirstChildElement(Node parent,
                                               String elemName)

  Deprecated.
  Finds and returns the first child node with the given name.

### getFirstChildElement

    public static Element getFirstChildElement(Node parent,
                                               String[] elemNames)

  Deprecated.
  Finds and returns the first child node with the given name.

### getFirstChildElement

    public static Element getFirstChildElement(Node parent,
                                               String elemName,
                                               String attrName,
                                               String attrValue)

  Deprecated.
  Finds and returns the first child node with the given name and attribute name, value pair.

### getFirstChildElementNS

    public static Element getFirstChildElementNS(Node parent,
                                                 String[][] elemNames)

  Deprecated.
  Finds and returns the first child node with the given qualified name.

### getFirstChildElementNS

    public static Element getFirstChildElementNS(Node parent,
                                                 String uri,
                                                 String localpart)

  Deprecated.
  Finds and returns the first child node with the given qualified name.

### getFirstVisibleChildElement

    public static Element getFirstVisibleChildElement(Node parent)

  Deprecated.
  Finds and returns the first visible child element node.

### getLastChildElement

    public static Element getLastChildElement(Node parent)

  Deprecated.
  Finds and returns the last child element node.

### getLastChildElement

    public static Element getLastChildElement(Node parent,
                                              String elemName)

  Deprecated.
  Finds and returns the last child node with the given name.

### getLastChildElement

    public static Element getLastChildElement(Node parent,
                                              String[] elemNames)

  Deprecated.
  Finds and returns the last child node with the given name.

### getLastChildElement

    public static Element getLastChildElement(Node parent,
                                              String elemName,
                                              String attrName,
                                              String attrValue)

  Deprecated.
  Finds and returns the last child node with the given name and attribute name, value pair.

### getLastChildElementNS

    public static Element getLastChildElementNS(Node parent,
                                                String[][] elemNames)

  Deprecated.
  Finds and returns the last child node with the given qualified name.

### getLastChildElementNS

    public static Element getLastChildElementNS(Node parent,
                                                String uri,
                                                String localpart)

  Deprecated.
  Finds and returns the last child node with the given qualified name.

### getLastVisibleChildElement

    public static Element getLastVisibleChildElement(Node parent)

  Deprecated.
  Finds and returns the last visible child element node.

### getLocalName

    public static String getLocalName(Node node)

  Deprecated.
  returns local name of this element if not null, otherwise returns the name of the node

### getName

    public static String getName(Node node)

  Deprecated.

### getNamespaceURI

    public static String getNamespaceURI(Node node)

  Deprecated.

### getNextSiblingElement

    public static Element getNextSiblingElement(Node node)

  Deprecated.
  Finds and returns the next sibling element node.

### getNextSiblingElement

    public static Element getNextSiblingElement(Node node,
                                                String elemName)

  Deprecated.
  Finds and returns the next sibling node with the given name.

### getNextSiblingElement

    public static Element getNextSiblingElement(Node node,
                                                String[] elemNames)

  Deprecated.
  Finds and returns the next sibling node with the given name.

### getNextSiblingElement

    public static Element getNextSiblingElement(Node node,
                                                String elemName,
                                                String attrName,
                                                String attrValue)

  Deprecated.
  Finds and returns the next sibling node with the given name and attribute name, value pair. Since only elements have attributes, the node returned will be of type Node.ELEMENT_NODE.

### getNextSiblingElementNS

    public static Element getNextSiblingElementNS(Node node,
                                                  String[][] elemNames)

  Deprecated.
  Finds and returns the next sibling node with the given qualified name.

### getNextSiblingElementNS

    public static Element getNextSiblingElementNS(Node node,
                                                  String uri,
                                                  String localpart)

  Deprecated.
  Finds and returns the next sibling node with the given qualified name.

### getNextVisibleSiblingElement

    public static Element getNextVisibleSiblingElement(Node node)

  Deprecated.

### getParent

    public static Element getParent(Element elem)

  Deprecated.

### getRoot

    public static Element getRoot(Document doc)

  Deprecated.

### getValue

    public static String getValue(Attr attribute)

  Deprecated.

### isHidden

    public static boolean isHidden(Node node)

  Deprecated.

### setHidden

    public static void setHidden(Node node)

  Deprecated.

### setVisible

    public static void setVisible(Node node)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD